- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# jabber – post task events to a jabber server

- Synopsis

- Requirements

- Parameters

- Status

## Synopsis

- The chatty part of ChatOps with a Hipchat server as a target

- This callback plugin sends status updates to a HipChat channel during playbook execution.

## Requirements

The below requirements are needed on the local master node that executes this callback.

- xmpp (python lib https://github.com/ArchipelProject/xmpppy)

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
password - / required |  | env:JABBER_PASS | Password for the user to the jabber server
server - / required |  | env:JABBER_SERV | connection info to jabber server
to - / required |  | env:JABBER_TO | chat identifier that will recieve the message
user - / required |  | env:JABBER_USER | Jabber user to authenticate as

## Status

- This callback is not guaranteed to have a backwards compatible interface. [preview]

- This callback is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.